import { NextRequest, NextResponse } from 'next/server';
import { StreamingTextResponse } from 'ai';

declare const createNextPagesApiHandler: () => (req: NextRequest, res: NextResponse) => Promise<Response>;

declare const createBlockApiHandler: () => (req: Request, context: {
    params: any;
}) => Promise<Response>;

declare const createChatApiHandler: () => (req: Request) => Promise<StreamingTextResponse>;

export { createBlockApiHandler, createChatApiHandler, createNextPagesApiHandler };
